# Method: applications.get

- [HTTP request](https://developer.android.com/games/services/web/api/rest/v1/applications/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developer.android.com/games/services/web/api/rest/v1/applications/get#body.PATH_PARAMETERS)
- [Query parameters](https://developer.android.com/games/services/web/api/rest/v1/applications/get#body.QUERY_PARAMETERS)
- [Request body](https://developer.android.com/games/services/web/api/rest/v1/applications/get#body.request_body)
- [Response body](https://developer.android.com/games/services/web/api/rest/v1/applications/get#body.response_body)
- [Authorization scopes](https://developer.android.com/games/services/web/api/rest/v1/applications/get#body.aspect)
- [PlatformType](https://developer.android.com/games/services/web/api/rest/v1/applications/get#PlatformType)
- [Try it!](https://developer.android.com/games/services/web/api/rest/v1/applications/get#try-it)

Retrieves the metadata of the application with the given ID. If the requested application is not available for the specified`platformType`, the returned response will not include any instance data.

### HTTP request

`GET https://games.googleapis.com/games/v1/applications/{applicationId}`

### Path parameters

|                                      Parameters                                      ||
|-----------------|---------------------------------------------------------------------|
| `applicationId` | `string` The application ID from the Google Play developer console. |

### Query parameters

|                                                                                              Parameters                                                                                               ||
|----------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `language`     | `string` The preferred language to use for strings returned by this method.                                                                                                           |
| `platformType` | `enum (`[PlatformType](https://developer.android.com/games/services/web/api/rest/v1/applications/get#PlatformType)`)` Restrict application details returned to the specific platform. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of[Application](https://developer.android.com/games/services/web/api/rest/v1/applications#Application).

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/games`
- `
  https://www.googleapis.com/auth/games_lite`

For more information, see the[OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## PlatformType

Enumeration of all possible platforms for Play Games Services.

|                                Enums                                ||
|-----------|----------------------------------------------------------|
| `ANDROID` | Retrieve applications that can be played on Android.     |
| `IOS`     | Retrieve applications that can be played on iOS.         |
| `WEB_APP` | Retrieve applications that can be played on desktop web. |